> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage Box Hub items

> Adds and/or removes Box Hub items from a Box Hub.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml /box-openapi-v2025.0.json POST /hubs/{hub_id}/manage_items
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 95117b97f9
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Gen is used to automatically generate documents.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /hubs/{hub_id}/manage_items:
    post:
      tags:
        - Box Hub Items
      summary: Manage Box Hub items
      description: Adds and/or removes Box Hub items from a Box Hub.
      operationId: post_hubs_id_manage_items_v2025.0
      parameters:
        - name: hub_id
          in: path
          description: >-
            The unique identifier that represent a hub.


            The ID for any hub can be determined by visiting this hub in the web
            application and copying the ID from the URL. For example, for the
            URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.
          required: true
          schema:
            type: string
          example: '12345'
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HubItemsManageRequest'
      responses:
        '207':
          description: Retrieves the status of all the operations.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HubItemsManageResponse'
        '401':
          description: >-
            Returned when the access token provided in the `Authorization`
            header is not recognized or not provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: >-
            Returned if the Box Hub is not found, or the user does not have
            access to the Box Hub.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: dotnet
          label: Manage Box Hub items
          source: >-
            await client.HubItems.ManageHubItemsV2025R0Async(hubId:
            createdHub.Id, requestBody: new HubItemsManageRequestV2025R0() {
            Operations = Array.AsReadOnly(new [] {new
            HubItemOperationV2025R0(action:
            HubItemOperationV2025R0ActionField.Add, item: new
            FolderReferenceV2025R0(id: folder.Id))}) });
        - lang: java
          label: Manage Box Hub items
          source: >-
            client.getHubItems().manageHubItemsV2025R0(createdHub.getId(), new
            HubItemsManageRequestV2025R0.Builder().operations(Arrays.asList(new
            HubItemOperationV2025R0(HubItemOperationV2025R0ActionField.ADD, new
            FolderReferenceV2025R0(folder.getId())))).build())
        - lang: node
          label: Manage Box Hub items
          source: |-
            await client.hubItems.manageHubItemsV2025R0(createdHub.id, {
              operations: [
                {
                  action: 'add' as HubItemOperationV2025R0ActionField,
                  item: new FolderReferenceV2025R0({ id: folder.id }),
                } satisfies HubItemOperationV2025R0,
              ],
            } satisfies HubItemsManageRequestV2025R0);
        - lang: python
          label: Manage Box Hub items
          source: |-
            client.hub_items.manage_hub_items_v2025_r0(
                created_hub.id,
                operations=[
                    HubItemOperationV2025R0(
                        action=HubItemOperationV2025R0ActionField.ADD,
                        item=FolderReferenceV2025R0(id=folder.id),
                    )
                ],
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    HubItemsManageRequest:
      description: Request schema for managing Box Hub items.
      type: object
      properties:
        operations:
          description: List of operations to perform on Box Hub items.
          type: array
          items:
            $ref: '#/components/schemas/HubItemOperation'
      title: Box Hub Items Manage Request
    HubItemsManageResponse:
      description: Response schema for the status of Box Hub items management operations.
      type: object
      properties:
        operations:
          description: List of operations performed on Box Hub items.
          type: array
          items:
            $ref: '#/components/schemas/HubItemOperationResult'
      required:
        - operations
      title: Box Hub Items Manage Response
      x-box-resource-id: hub_items_manage_response_v2025.0
      x-box-tag: hub_items
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    HubItemOperation:
      description: An operation to perform on a Box Hub item.
      type: object
      properties:
        action:
          description: The action to perform on a Box Hub item.
          type: string
          example: add
          enum:
            - add
            - remove
          nullable: false
          title: Box Hub Action
        item:
          $ref: '#/components/schemas/HubItemReference'
        parent_id:
          description: >-
            The ID of the parent block to add the item to. Must be an Item List
            block. If not provided, the item will be added to the first page's
            first Item List block.
          type: string
          example: c9588f08-22d7-4d17-8ca9-f1e61c98c0bd
      required:
        - action
        - item
      title: Box Hub Item Operation
    HubItemOperationResult:
      description: Result of a Box Hub item operation.
      type: object
      properties:
        action:
          description: The action performed on the item.
          type: string
          example: add
        item:
          $ref: '#/components/schemas/HubItemReference'
        parent_id:
          description: The ID of the parent block the item was added to.
          type: string
          example: 721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e
        status:
          description: The HTTP status code of the operation.
          type: integer
          example: 200
        error:
          description: Error message if the operation failed.
          type: string
          example: Item not found
      title: Box Hub Item Operation Result
    HubItemReference:
      description: Reference to an item that can be added to a Box Hub.
      oneOf:
        - $ref: '#/components/schemas/FileReference'
        - $ref: '#/components/schemas/FolderReference'
        - $ref: '#/components/schemas/WeblinkReference'
      title: Box Hub Item Reference
    FileReference:
      description: File reference.
      type: object
      properties:
        type:
          description: The value will always be `file`.
          type: string
          example: file
          enum:
            - file
          nullable: false
        id:
          description: ID of the object.
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: File reference
    FolderReference:
      description: Folder reference.
      type: object
      properties:
        type:
          description: The value will always be `folder`.
          type: string
          example: folder
          enum:
            - folder
          nullable: false
        id:
          description: ID of the folder.
          type: string
          example: '42037322'
      required:
        - type
        - id
      title: Folder reference
    WeblinkReference:
      description: Web link reference.
      type: object
      properties:
        type:
          description: The value will always be `web_link`.
          type: string
          example: web_link
          enum:
            - web_link
          nullable: false
        id:
          description: ID of the web link.
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: Web link reference
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````